#ifndef __webclt__
#define __webclt__

#define MAXFILENAME MAXFILENAMLEN

typedef struct
{
	char url[URLLEN];
	int valid;
}One_Url;



class Web_Client
{
	char *server; 
	int filenum; 
	int interval;
	int beginchar;
	int endchar;
	bool putting;
	bool getting;
	pthread_mutex_t flock;

	public:
	char *filename;
	int url_num;
	int sid;
	unsigned int totalrequests;
	unsigned long totalresponsetime;
	unsigned long totalbytesent;	
	
	public:
	Web_Client(int filenum, 
                   int interval, 
                   char id,
                   char beginchar,
                   char endchar, 
                   char *filename);

	int Init_Dat_File(char *mode);
	One_Url Generate_URL();
	One_Url Retreive_URL();
	char* First_URL();
	void Put_All(int sid);
	void Get_All(int sid);
	void Retrieve_File_Server();
    void Dump_Stats();

};

#endif

