# include <sys/ioctl.h>
# include <time.h>
# include <string>
# include <unistd.h>
# include <signal.h>

# include "myterm.h"

using namespace std;

MyTerm term(NULL);

static void handle_sigwinch (int sig)
{
	term.adj_window_size();
	signal(SIGWINCH, handle_sigwinch);
}

int main()
{
	signal(SIGWINCH, handle_sigwinch);

	while (1) {
		time_t now;
		string s;

		term.clr_scr();
		s="MyTerm Test Program";
		term.display_title(s);
		time(&now);
		s=ctime(&now);
		term.display_msg(s);
		int x=term.get_width();
		int y=term.get_height();
		int this_width=rand()%x;
		int this_height=rand()%y+2;
		char buf[x+1];
		// for (int i=0; i<this_width; i++) {
		// 	buf[i]='X';
		// }
		string ss[y];
		for (int i=0; i<y; i++) {
			for (int j=0; j<x; j++) {
				buf[j]='0'+i;
			}
			buf[x]='\0';
			ss[i]=buf;
		}

		term.display_body(ss, y);
		// term.display_line(s, this_height);
		sleep(1);
	}

	return 0;
}
